#' CBOE Volatility Index: VIX
#'
#' A dataset containing daily CBOE Volatility Index from 5th of July 2016 to 4th of July 2017.
#'
#' @format A numeric vector containing 252 observations.
#'
#' @source \url{https://fred.stlouisfed.org/series/VIXCLS}
"VIX"

#' CBOE Volatility Index: logVIX
#'
#' A dataset containing natural logarithm of daily CBOE Volatility Index from 5th of July 2016
#'  to 4th of July 2017.
#'
#' @format A numeric vector containing 252 observations.
#'
#' @source \url{https://fred.stlouisfed.org/series/VIXCLS}
"logVIX"

#' Spread between 10-Year and 1-Year treasury rates: T10Y1Y
#'
#' A dataset containing monthly U.S. interest rate spread between the 10-Year Treasury constant
#' maturity rate and 1-Year Treasury constant maturity rate from 1953IV to 2020II.
#'
#' @format A class 'ts' time series object containing 803 observations.
#'
#' @source \url{https://fred.stlouisfed.org/series/GS10} \url{https://fred.stlouisfed.org/series/GS1}
"T10Y1Y"
